Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.FindOption Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | FindOption (is_whole_word, is_case_sensitive)
| Constructor, with parameters. More...
def | FindOption ()
| Constructor.
def | FindOption (find_option)
| Constructor, with another find option object. More...
def | Set (is_whole_word, is_case_sensitive)
| Set value. More...

## Static Public Attributes
| is_case_sensitive = _fsdk.FindOption_is_case_sensitive
| A boolean value specifies that whether to match case.true means to match case, otherwise no.
| is_whole_word = _fsdk.FindOption_is_whole_word
| A boolean value specifies that whether to match whole words only. true means to match whole words only, otherwise no.

## Detailed Description

This class represents the find option which is used by TextSearchReplace objects.

## Constructor & Destructor Documentation

## ◆ FindOption() [1/2]

def FoxitPDFSDKPython3.FindOption.FindOption | ( |  | is_whole_word,
|  |  | is_case_sensitive
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_whole_word | A boolean value specifies that whether to match whole words only.true means to match whole words only, otherwise no.
  [in] | is_case_sensitive | A boolean value specifies that whether to match case.true means to match case, otherwise no.

## ◆ FindOption() [2/2]

def FoxitPDFSDKPython3.FindOption.FindOption | ( |  | find_option | ) |

Constructor, with another find option object.

Parameters

  [in] | find_option | Another find option object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.FindOption.Set | ( |  | is_whole_word,
|  |  | is_case_sensitive
| ) |  |

Set value.

Parameters

  [in] | is_whole_word | A boolean value specifies that whether to match whole words only. true means to match whole words only, otherwise no.
  [in] | is_case_sensitive | A boolean value specifies that whether to match case.true means to match case, otherwise no.

Returns
  None.